[Mesa-dev] [PATCH 6/8] build: Fix autogen.sh to allow out-of-tree builds
Matt Turner
mattst88 at gmail.com
Wed Aug 1 15:02:48 PDT 2012
---
Still some buggy areas, including Gallium and GLES.
autogen.sh | 12 +++---------
1 files changed, 3 insertions(+), 9 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index b5f6ec4..3e6e500 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,19 +1,13 @@
#! /bin/sh
-srcdir=`dirname "$0"`
+srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-SRCDIR=`(cd "$srcdir" && pwd)`
ORIGDIR=`pwd`
-
-if test "x$SRCDIR" != "x$ORIGDIR"; then
- echo "Mesa cannot be built when srcdir != builddir" 1>&2
- exit 1
-fi
-
-MAKEFLAGS=""
+cd "$srcdir"
autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
if test -z "$NOCONFIGURE"; then
"$srcdir"/configure "$@"
--
1.7.8.6
More information about the mesa-dev
mailing list